### Hierarchy

- unknown
  - AmazonGiftCardAccountPayload

## Index

### Constructors

- constructor

### Methods

- getCountryCode
- getEmailOrMobileNr
- serializeBinary
- setCountryCode
- setEmailOrMobileNr
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new AmazonGiftCardAccountPayload(): AmazonGiftCardAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns AmazonGiftCardAccountPayload

## Methods

### getCountryCode

- getCountryCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:4939

  #### Returns string

### getEmailOrMobileNr

- getEmailOrMobileNr(): string

- - Defined in src/protobuf/pb_pb.d.ts:4936

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:4942

  #### Returns Uint8Array

### setCountryCode

- setCountryCode(value: string): AmazonGiftCardAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4940

  #### Parameters

  - ##### value: string

  #### Returns AmazonGiftCardAccountPayload

### setEmailOrMobileNr

- setEmailOrMobileNr(value: string): AmazonGiftCardAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4937

  #### Parameters

  - ##### value: string

  #### Returns AmazonGiftCardAccountPayload

### toObject

- toObject(includeInstance?: boolean): AmazonGiftCardAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4943

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns AmazonGiftCardAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): AmazonGiftCardAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4946

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AmazonGiftCardAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AmazonGiftCardAccountPayload, reader: BinaryReader): AmazonGiftCardAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4947

  #### Parameters

  - ##### message: AmazonGiftCardAccountPayload

  - ##### reader: BinaryReader

  #### Returns AmazonGiftCardAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: AmazonGiftCardAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:4945

  #### Parameters

  - ##### message: AmazonGiftCardAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: AmazonGiftCardAccountPayload ): AmazonGiftCardAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4944

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AmazonGiftCardAccountPayload

  #### Returns AmazonGiftCardAccountPayload . AsObject

Generated using TypeDoc